Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.textureEditor
Class CLayer

    java.lang.Object
      dks.src.textureEditor.CLayer

All Implemented Interfaces:
  Changeable, XMLWritable, java.io.Serializable

    public class CLayer

extends java.lang.Object
implements XMLWritable, java.io.Serializable, Changeable

This class implement a layer used for represent a texture's layer which can be saved in a XML Format
date : 4 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Constructor Summary
`CLayer(java.awt.image.BufferedImage image)`
`CLayer(CGradient gradient)`
`CLayer(java.awt.Color color)`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Add a ChangeListener which will notify when the object change
`boolean` | `equals(java.lang.Object obj)`
`java.awt.Color` | `getColor()`
`CGradient` | `getGradient()`
`java.awt.image.BufferedImage` | `getImage()`
`java.lang.String` | `getImageFileName()`
`ETypeLayer` | `getType()`
`int` | `hashCode()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Remove a ChangeListener
`void` | `setColor(java.awt.Color color)`
`void` | `setGradient(CGradient gradient)`
`void` | `setImage(java.awt.image.BufferedImage image)`
`void` | `setImageFileName(java.lang.String imageFileName)`
`void` | `setType(ETypeLayer type)`
`java.lang.String` | `toString()`
`void` | `XMLload(org.jdom.Element root)` Construct the object with the data contains in the root DOM Element
`void` | `XMLsave(org.jdom.Element root)` Generate a DOM Element containing the children make by the object

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLayer

    public CLayer(java.awt.Color color)

Parameters:
  `color` - the color of the layer

### CLayer

    public CLayer(java.awt.image.BufferedImage image)

Parameters:
  `image` - the image of the layer

### CLayer

    public CLayer(CGradient gradient)

Parameters:
  `gradient` - the gradient of the layer

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Description copied from interface: `Changeable`
  Add a ChangeListener which will notify when the object change

  Specified by:
    `addChangeListener` in interface `Changeable`
  Parameters:
    `changeListener` - the ChangeListener to add

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Description copied from interface: `Changeable`
  Remove a ChangeListener

  Specified by:
    `removeChangeListener` in interface `Changeable`
  Parameters:
    `changeListener` - the ChangeListener to remove

### getColor

    public java.awt.Color getColor()

  Returns:
    the color of the layer

### setColor

    public void setColor(java.awt.Color color)

  Parameters:
    `color` - the color of the layer

### getGradient

    public CGradient getGradient()

  Returns:
    the gradient of the layer

### setGradient

    public void setGradient(CGradient gradient)

  Parameters:
    `gradient` - the layer of the gradient

### getImage

    public java.awt.image.BufferedImage getImage()

  Returns:
    the image of the layer

### setImage

    public void setImage(java.awt.image.BufferedImage image)

  Parameters:
    `image` - the image of the layer

### getType

    public ETypeLayer getType()

  Returns:
    the type of the layer

### setType

    public void setType(ETypeLayer type)

  Parameters:
    `type` - the type of the layer

### XMLload

    public void XMLload(org.jdom.Element root)
                 throws org.jdom.JDOMException

  Description copied from interface: `XMLWritable`
  Construct the object with the data contains in the root DOM Element

  Specified by:
    `XMLload` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM Element used to load the properties of the layer
  Throws:
    `org.jdom.JDOMException`
  See Also:
    `XMLWritable.XMLload(org.jdom.Element)`

### XMLsave

    public void XMLsave(org.jdom.Element root)

  Description copied from interface: `XMLWritable`
  Generate a DOM Element containing the children make by the object

  Specified by:
    `XMLsave` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM Element used to save the properties of the layer
  See Also:
    `XMLWritable.XMLsave(org.jdom.Element)`

### getImageFileName

    public java.lang.String getImageFileName()

  Returns:
    the fileName of the image

### setImageFileName

    public void setImageFileName(java.lang.String imageFileName)

  Parameters:
    `imageFileName` - the fileName of the image

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD